Package org.eclipse.m2m.atl.engine.vm

# Class ACTInterpreter

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ACTInterpreter

public class ACTInterpreter extends Object
ATL Composite Transformation Interpreter The ACT is read using an XML importer and loaded into a set of Java Object. This all process could be automated.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`ACTInterpreter.ACT`
`protected class`
`ACTInterpreter.File_`
`protected class`
`ACTInterpreter.Import`
`protected class`
`ACTInterpreter.InFile`
`protected class`
`ACTInterpreter.InModel`
`protected class`
`ACTInterpreter.InoutModel`
`protected class`
`ACTInterpreter.Library`
`protected class`
`ACTInterpreter.OutModel`
`protected class`
`ACTInterpreter.Plugin`
`protected class`
`ACTInterpreter.Query`
`protected class`
`ACTInterpreter.Transform`
`protected class`
`ACTInterpreter.WithParam`

## Constructor Summary

Constructors
Constructor
Description
`ACTInterpreter(PluginClassLoader pcl, ModelLoader ml, ASMModelElement root, Map params, Map models)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`realMain(String[] args, PluginClassLoader pcl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACTInterpreter

public ACTInterpreter(PluginClassLoader pcl, ModelLoader ml, ASMModelElement root, Map params, Map models) throws Exception

Throws:
  `Exception`

## Method Details

### realMain

public static void realMain(String[] args, PluginClassLoader pcl) throws Exception

Parameters:
  `args` -
  `pcl` -
Throws:
  `Exception`